/****************************************************************************
*	Avoid multiple inclusion - begin                                        *
*****************************************************************************/
#ifndef _MAIN_H_
#define _MAIN_H_

/**
 * @file main.h
 * @author David Broin <davidmbroin@gmail.com>
 * @date 2021/07/26
 * @brief Application entry point.
 * @copyright All rights reserved.
 * @copyright @ref [MIT LICENSE](LICENSE.txt)
 */

/****************************************************************************
*	Inclusions of public function dependencies                              *
*****************************************************************************/


/****************************************************************************
*	C++ - begin                                                             *
*****************************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

/****************************************************************************
*	Definition macros of public constants                                   *
*****************************************************************************/

/****************************************************************************
*	Public function-like macros                                             *
*****************************************************************************/

/****************************************************************************
*	Definitions of public data types                                        *
*****************************************************************************/

/****************************************************************************
*	Prototypes (declarations) of public functions                           *
*****************************************************************************/

/****************************************************************************
*	Prototypes (declarations) of public interrupt functions                 *
*****************************************************************************/

/****************************************************************************
*	C++ - end                                                               *
*****************************************************************************/

#ifdef __cplusplus
}
#endif

/****************************************************************************
*	Avoid multiple inclusion - end                                          *
*****************************************************************************/

#endif /* _MAIN_H_ */

